

// // // //


УведомитьОНеудачнойЗагрузкеТемыФишекМаджонга = мир =>
{
    мир.уведомить("не загрузили тему фишек маджонга");
};


// // // //


УведомитьОбУспешнойЗагрузкеТемыФишекМаджонга = мир =>
{
    мир.уведомить("загрузили тему фишек маджонга");
};


// // // //


ПроверитьНаличиеВсехЗагруженныхТекстурТемыФишекМаджонга = мир =>
{
    if (мир.загрузкаТемыФишек.номер < мир.загрузкаТемыФишек.всего)
    {
        мир.загрузкаТемыФишек.номер += 1;
        мир.уведомить("загружены не все текстуры темы фишек маджонга");
    }
    else
    {
        мир.уведомить("загружены все текстуры темы фишек маджонга");
    }
};


// // // //


ЗагрузитьСледующуюТекстуруТемыФишекМаджонга = мир =>
{
    const загрузка = мир.загрузкаТемыФишек;
    var тема = мир.темыФишек[загрузка.имя];
    var указательМодуляРесурсов = тема["📦"];
    var модуль = мир.модули.модульПоИмени(указательМодуляРесурсов);
    var ресурс = тема[загрузка.номер];
    var содержимое = модуль.содержимое[ресурс];
    var b64 = base64js.fromByteArray(new Uint8Array(содержимое));
    // Текстуры ожидаем в формате PNG.
    var адрес = `data:image/png;base64,${b64}`;
    мир.загрузчикТекстур.load(
        адрес,
        function(текстура) {
            текстура.flipY = false;
            мир.текстурыТемФишек[загрузка.имя][загрузка.номер] = текстура;
            мир.уведомить("загрузили текстуру темы фишек маджонга");
        },
        null,
        function(error) {
            console.error("ОШИБКА | ERROR", error);
            мир.уведомить("не загрузили текстуру темы фишек маджонга");
        }
    );
};


// // // //


ПодготовитьсяКЗагрузкеТемыФишекМаджонга = мир =>
{
    мир.загрузкаТемыФишек = {
        "номер": 1,
        "всего": 42,
        "имя": мир.темаФишек,
    };
    мир.текстурыТемФишек = {};
    мир.текстурыТемФишек[мир.загрузкаТемыФишек.имя] = {};
};


// // // //


ЗагрузитьТемуФишекМаджонга = мир =>
{
    мир.уведомить("надо загрузить тему фишек маджонга");
};

